Endpoints that provide information about advisers.
Get advisers
Retrieves information about advisers associated with the Resource Owner.
Note that in the UAT environment, this endpoint returns one adviser per page. In the production environment each page contains multiple advisers.
Authorisation Requirements
This endpoint requires a valid Transact access token with:
FIRMorNETWORKroleentity.readscope
query Parameters
cursorOpaque cursor to the result page to include in the response. Appropriate values for this field may be retrieved
from a response object's first, prev, next, last, and self fields.
firm_idsThe list of firm Transact numbers to filter on.
Headers
Transact-Api-VersionThe targeted API version. This must be set to the current version of the API.
AuthorizationTransact access token, provided using the Bearer HTTP authentication scheme.
Get advisers › Responses
Retrieved successfully.
The list of advisers.
selfPagination cursor pointing to the current page.
firstPagination cursor pointing to the first page.
prevPagination cursor pointing to the previous page.
nextPagination cursor pointing to the next page.
lastPagination cursor pointing to the last page.
Object containing the applied query filters.
Get an adviser
Retrieves information about an adviser. The adviser must be associated with the Resource Owner.
Authorisation Requirements
This endpoint requires a valid Transact access token with:
FIRMorNETWORKroleentity.readscope
path Parameters
adviser_id^[0-9]{9}$ · requiredThe adviser's Transact number.
Headers
Transact-Api-VersionThe targeted API version. This must be set to the current version of the API.
AuthorizationTransact access token, provided using the Bearer HTTP authentication scheme.
Get an adviser › Responses
Retrieved successfully.
id^[0-9]{9}$ · requiredThe adviser's Transact number.
surnameThe surname of the adviser.
given_namesAll given names of the adviser.
fca_numberThe adviser's Identity Reference Number (IRN).
firm_id^[0-9]{9}$ · requiredThe firm's Transact number.

